%global momorel 21
%global emacsver 23.0.95
%global xemacsver 21.5.29
%global xemacssumover 2009.02.17
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: Table editing utility for Emacsen
Name: elisp-table
Version: 1.5.54
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
URL: http://table.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/table/table-%{version}.el.gz 
NoSource: 0
Source1: table.el
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: emacs >= %{emacsver}
BuildPreReq: xemacs >= %{xemacsver}
BuildPreReq: xemacs-sumo >= %{xemacssumover}
Requires: emacsen

%description
This package provides text based table creation and editing
feature. With this package Emacsen is capable of editing tables that
are embedded inside a text document, the feature similar to the ones
seen in modern WYSIWYG word processors. A table is a rectangular text
area consisting from a surrounding frame and content inside the
frame. The content is usually subdivided into multiple rectangular
cells. Once a table is recognized, editing operation inside a table
cell is confined into that specific cell's rectangular area. This
means that typing and deleting characters inside a cell do not affect
any outside text but introduces appropriate formatting only to the
sell contents. If necessary for accomodating added text in the cell,
the cell automatically grows vertically and/or horizontally. The
package uses no major mode nor minor mode for its implementation
because the subject text is localized within a buffer. Therefore the
special behaviors inside a table cells are implemented by using
local-map text property instead of buffer wide mode-map. Also some
commonly used functions are advised so that they act specially inside
a table cell.
#'

%package -n table-emacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n table-emacs
Table editing utility for Emacs.

%package -n table-xemacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo >= %{xemacssumover}

%description -n table-xemacs
Table editing utility for Emacs.

%prep
%setup -qTc

rm -rf %{buildroot}

gzip -dc %{SOURCE0} > table.el

%build
emacs -q -batch -f batch-byte-compile table.el
mv table.elc table.elc.emacs

xemacs -q -batch -f batch-byte-compile table.el
mv table.elc table.elc.xemacs

%install
mkdir -p %{buildroot}%{e_sitedir}/table
mkdir -p %{buildroot}%{sitepdir}/lisp/table

install -m 0644 table.el %{buildroot}%{e_sitedir}/table/table.el
install -m 0644 table.elc.emacs %{buildroot}%{e_sitedir}/table/table.elc
install -m 0644 table.el %{buildroot}%{sitepdir}/lisp/table/table.el
install -m 0644 table.elc.xemacs %{buildroot}%{sitepdir}/lisp/table/table.elc

mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_datadir}/config-sample/%{name}
%{_datadir}/config-sample/%{name}/*

%files -n table-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/table
%{e_sitedir}/table/*

%files -n table-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/lisp/table
%{sitepdir}/lisp/table/*

%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-21m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-20m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-19m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-18m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-17m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-16m)
- rebuild against rpm-4.6

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-15m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-14m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-13m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-12m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.54-11m)
- %%NoSource -> NoSource

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.54-10m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-9m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-8m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-7m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-6m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.54-2m)
- rebuild against emacs-22.0.90

* Sun Jul 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.5.54-1m)
- up to 1.5.54
- telia -> jaist

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.5.48-6m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.48-5m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5.48-4m)
- rebuild against emacs-21.3.50

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.48-3m)
- rebuild against emacs-21.3

* Thu Jun 13 2002 Kenta MURATA <muraken2@nifty.com>
- (1.5.48-2k)
- first spec file.
